### Method

# Foundry GitCommitBuilder unstage_file

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_git_commit_builder_unstage_file (
      FoundryGitCommitBuilder* self,
      GFile* file
    )

#### Description [src]

Unstages the file using the version from the stored diff/delta. This restores the file to the fully unapplied version (HEAD version).

Available since: 1.1

#### Parameters

`file`

  Type: `GFile`

  A `GFile` in the working tree.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.